// MEMINFO CONF
{% for outidx in range(nb_out) -%}
#define {{ out_name[outidx]|upper }}_SIZE {{ mem_info_size[outidx]}}
#define {{ out_name[outidx]|upper }}_OFFSET {{ mem_info_offset[outidx]}}
#define {{ out_name[outidx]|upper }}_STRIDE {{ mem_info_stride[outidx]}}
#define {{ out_name[outidx]|upper }}_LENGTH {{ mem_info_length[outidx]}}
#define {{ out_name[outidx]|upper }}_CONT_SIZE {{ mem_info_cont_size[outidx]}}
#define {{ out_name[outidx]|upper }}_CONT_OFFSET {{ mem_info_cont_offset[outidx]}}
#define {{ out_name[outidx]|upper }}_WRAP_OFFSET {{ mem_info_wrap_offset[outidx]}}
#define {{ out_name[outidx]|upper }}_WRAP_SIZE {{ mem_info_wrap_size[outidx]}}
{% endfor %}
